--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: []

full_name: Extlib::Hook::ClassMethods
includes: 
- !ruby/object:RI::IncludedModule 
  name: Extlib::Assertions
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: after
- !ruby/object:RI::MethodSummary 
  name: after_class_method
- !ruby/object:RI::MethodSummary 
  name: args_for
- !ruby/object:RI::MethodSummary 
  name: before
- !ruby/object:RI::MethodSummary 
  name: before_class_method
- !ruby/object:RI::MethodSummary 
  name: class_hooks
- !ruby/object:RI::MethodSummary 
  name: define_advised_method
- !ruby/object:RI::MethodSummary 
  name: define_hook_stack_execution_methods
- !ruby/object:RI::MethodSummary 
  name: hook_method_name
- !ruby/object:RI::MethodSummary 
  name: hooks_with_scope
- !ruby/object:RI::MethodSummary 
  name: inline_call
- !ruby/object:RI::MethodSummary 
  name: install_hook
- !ruby/object:RI::MethodSummary 
  name: instance_hooks
- !ruby/object:RI::MethodSummary 
  name: method_with_scope
- !ruby/object:RI::MethodSummary 
  name: process_method_added
- !ruby/object:RI::MethodSummary 
  name: quote_method
- !ruby/object:RI::MethodSummary 
  name: register_class_hooks
- !ruby/object:RI::MethodSummary 
  name: register_hook
- !ruby/object:RI::MethodSummary 
  name: register_instance_hooks
- !ruby/object:RI::MethodSummary 
  name: registered_as_hook?
- !ruby/object:RI::MethodSummary 
  name: reset_hook!
name: ClassMethods
superclass: 
